
QGIS Application - Bug report #20351

crash

2018-11-03 04:38 PM - Ada Gabucci

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.2 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 28172

Description

User Feedback

Report Details

Crash ID: 2914058403b924eacaabedb0a9ec0a376cacaa1b

Stack Trace

QgsField::QgsField :

QgsFields::field :

QgsAttributeForm::createWidgetFromDef :

QgsAttributeForm::createWidgetFromDef :

QgsAttributeForm::init :

QgsAttributeForm::QgsAttributeForm :

QgsAttributeDialog::init :

QgsAttributeDialog::QgsAttributeDialog :

QgsFeatureAction::newDialog :

QgsFeatureAction::viewFeatureForm :

QgsIdentifyResultsDialog::featureForm :

QgsIdentifyResultsDialog::show :

QgsMapToolIdentifyAction::identifyFromGeometry :

QMetaObject::activate :

QgsMapToolSelect::qt_static_metacall :

QgsMapToolSelect::setSelectionMode :

QgsMapToolIdentifyAction::canvasReleaseEvent :

QgsMapCanvas::mouseReleaseEvent :

QWidget::event :

QFrame::event :

QGraphicsView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :
QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.3-Bonn

QGIS code revision: commit:9b176802e5

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Related issues:

Duplicated by QGIS Application - Bug report # 20436: Qgis Crashed Closed 2018-11-10

History

#1 - 2018-11-03 09:52 PM - Nyall Dawson

- Status changed from Open to Feedback

Please test with 3.4.1 - 3.2 is unsupported now.

#2 - 2018-11-11 02:08 PM - Jürgen Fischer

- Duplicated by Bug report #20436: Qgis Crashed added

#3 - 2019-02-11 05:02 AM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
